| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::SupportedSocketMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- SupportedSocketMap ()
- SupportedSocketMap (const QMap< uint, UIntList > &a)
- SupportedSocketMap & operator= (const QMap< uint, UIntList > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, UIntList>, but needed to have a discrete type in the Qt type system.

The supported socket address and access-control types for tubes. See GetAvailableStreamTubeTypes.

## Constructor & Destructor Documentation

Tp::SupportedSocketMap::SupportedSocketMap | ( |  | ) | `[inline]`

Tp::SupportedSocketMap::SupportedSocketMap | ( | const QMap< uint, UIntList > & | a | ) | `[inline]`

## Member Function Documentation

SupportedSocketMap& Tp::SupportedSocketMap::operator= | ( | const QMap< uint, UIntList > & | a | ) | `[inline]`